package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 员工状态(1.正式,2.试用,3.离职)枚举类
*
* @author zxfei
*/
public enum StaffStatusEnum {
    正式(1, "正式"),
    试用(2, "试用"),
    离职(3, "离职");
    private Integer value;
    private String desc;

    StaffStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static StaffStatusEnum getByValue(Integer value) {
        for (StaffStatusEnum staffStatusEnum : StaffStatusEnum.values()) {
            if (staffStatusEnum.getValue() == value) {
                return staffStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (StaffStatusEnum item : StaffStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}